--- title: "CreateCustomSchema" slug: "management-cloudinsight-createcustomschema" tags: ["Cloud Insight"] updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-createcustomschema" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # CreateCustomSchema Available in Classic and VPC Create a user-defined schema. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/schema | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `prodName` | Array | Required | Schema name | | `fields` | Array | Required | [User-defined schema](/docs/en/common-vapidatatype-cifielddto) | | `useCustomResource` | Boolean | Optional | Whether to use user-defined resources - `true` \| `false` (default) - `true`: use - `false`: not use | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/schema' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "prodName": "Custom/MyProduct", "fields": [ { "dataType": "STRING", "name": "Dimension_test", "dimension": true, "metric": false, "counter": false, "idDimension": true, "desc": "Dimension test description" }, { "dataType": "FLOAT", "name": "Metric_Test", "dimension": false, "metric": true, "counter": false, "desc": "Metric Test description", "aggregations": { "Min1": [ "AVG", "SUM", "MIN", "MAX", "COUNT" ], "Min5": [ "AVG", "SUM", "MIN", "MAX", "COUNT" ], "Min30": [ "AVG", "SUM", "MIN", "MAX", "COUNT" ], "Hour2": [ "AVG", "SUM", "MIN", "MAX", "COUNT" ], "Day1": [ "AVG", "SUM", "MIN", "MAX", "COUNT" ] } } ], "useCustomResource": true }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `cw_key` | String | - | Product key (cw_key) - See [Cloud Insight metrics](/docs/en/management-cloudinsight-productinfo). | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "cw_key": "**********" } ```